> ## Documentation Index
> Fetch the complete documentation index at: https://pier.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Loan Agreements

> Once an application is accepted, the final step to complete the application process is for the applicant to execute the loan agreement.

The loan agreement object contains a document\_url where the agreement is hosted and can have a status of pending\_signature, signed, or expired. Loan agreements that are not signed within 24 hours expire and need to be re-created

<Card title="Create loan agreement" icon="file-circle-plus" href="/loan-agreements/create-loan-agreement">`POST /loan_agreements`</Card>
<Card title="Sign loan agreement" icon="file-signature" href="/loan-agreements/sign-loan-agreement">`POST /loan_agreements/{loan_agreement_id}/sign`</Card>
<Card title="Retrieve a loan agreement" icon="file-magnifying-glass" href="/loan-agreements/retrieve-loan-agreement-by-id">`GET /loan_agreements/{loan_agreement_id}`</Card>
<Card title="List loan agreements" icon="list" href="list-all-loan-agreements">`GET /loan_agreements`</Card>

## Load Agreement Object

### Parameters

<ResponseField name="id" type="string">
  Unique identifier for the loan agreement
</ResponseField>

<ResponseField name="application_id" type="string">
  The application\_id of the corresponding loan application the agreement is for
</ResponseField>

<ResponseField name="created_on" type="string">
  Timestamp the loan agreement object is created on
</ResponseField>

<ResponseField name="document_url" type="string">
  Url where the loan agreement document is hosted
</ResponseField>

<ResponseField name="" type="">
  Timestamp of when e-signature is completed
</ResponseField>

<ResponseField name="status" type="enum">
  The status of the document. Can be one of `pending_signature`, `signed,` or `expired`
</ResponseField>

<Accordion title="Load agreement object">
  ```json
  {
    "status": "pending_signature",
    "id": "doc_43da3b3f95c745e1985a71e9a00d6c27",
    "application_id": "app_a9d2f388030d4f4296f80fc327e08d0d",
    "signature_timestamp": null,
    "document_url": "https://production-formapi-docs.s3.amazonaws.com/store/acc_QqdcDH47A63qKZbK3S/templates/tpl_4zqGxezHzrfqDaxGr2/submissions/sub_J9PbHbXYbL4jzRxc3R.pdf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAJESVN6QC4ACN3XSQ%2F20221231%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221231T204739Z&X-Amz-Expires=900&X-Amz-SignedHeaders=host&X-Amz-Signature=cf0c6429ef72ca06d861cb912f5d1cf376a5c26c7f904aaa9bf08f10103785bd",
    "created_on": "2022-12-31T20:47:38.152Z"
  }
  ```
</Accordion>
